Show / Hide Table of Contents

# Struct SkeletonResourceHandle.SkeletonHeader

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.System.Resource.Handle

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct SkeletonHeader

### Fields

| Improve this Doc View Source

#### CharacterId

##### Declaration

    public uint CharacterId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ConnectBoneIds

##### Declaration

    public ushort *ConnectBoneIds

##### Field Value

Type | Description
--- | ---
System.UInt16* |

| Improve this Doc View Source

#### ConnectBoneIndex

##### Declaration

    public ushort ConnectBoneIndex

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### LayerOffset

##### Declaration

    public uint LayerOffset

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SkeletonMappers

##### Declaration

    public uint *SkeletonMappers

##### Field Value

Type | Description
--- | ---
System.UInt32* |

| Improve this Doc View Source

#### SklbMagic

##### Declaration

    public uint SklbMagic

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SklbOffset

##### Declaration

    public uint SklbOffset

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SklbVersion

##### Declaration

    public uint SklbVersion

##### Field Value

Type | Description
--- | ---
System.UInt32 |